using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp75
{
    internal class Program
    {
        static void Main(string[] args)
        {string []s=Console.ReadLine().Split(' ');
            int n=int.Parse(s[0]);
            int q = int.Parse(s[1]);
            int[] a = new int[n];
            int[] b = new int[q];
            int br = 0;
            Array.Sort(a);
            string []s1 = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
                a[i] = int.Parse(s1[i]);
            int med = 0;
            if (n % 2 == 1) med = a[(n - 1) / 2];
            else med = a[(n + 1) / 2];
            string[] s2 = Console.ReadLine().Split(' ');
            for (int i = 0; i < q; i++)
                b[i] = int.Parse(s2[i]);
            if(n % 2 == 1) { 
            for (int i = 0; i < q; i++)
            {br = 0;
                for (int j = 0; j < n; j++)
                {
                    if (med != b[i])
                    {
                        med = a[(n - 1) / 2 + 1];
                        br++;
                    }


                }
                Console.WriteLine(br);

            }}
            if (n % 2 == 0)
            {
                for (int i = 0; i < q; i++)
                {
                    br = 0;
                    for (int j = 0; j < n; j++)
                    {
                        if (med != b[i])
                        {
                            med = a[(n + 1) / 2 + 1];
                            br++;
                        }


                    }
                    Console.WriteLine(br);

                }
            }
        }
    }
}